<p class="topic">
Encryption Tab
</p>

<p class="text">
Use this tab to configure SSL for your directory. 
</p>

<p class="text">
<b>Enable SSL for this server.</b> Select this checkbox to enable SSL communications for the directory. Clear the checkbox to disable SSL.
</p>

<p class="text">
<b>Use this cipher family. </b>Select the checkbox next to the cipher family or families you want the server to use for SSL communications. 
</p>

<blockquote>
<p class="text">
<b>Security Device.</b> Select the device you want the server to use.
</p>

<p class="text">
<b>Certificate.</b> Select the certificate you want the server to use. You must have a certificate set up on your system to use SSL.
</p>

<p class="text">
<b>Cipher settings. </b>Opens the Encryption Preferences dialog box, where you can select which ciphers you want the server to use from the cipher families you have already selected. By default, Directory Server comes with the following SSL ciphers:
</p>

<table width="90%" border="1" cellspacing="0" cellpadding="4">
<tr>
<td valign="top">
<p class="tablehead">
SSL Cipher
</p></td>
<td valign="top">
<p class="tablehead">
Description
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
None
</p></td>
<td valign="top">
<p class="tabletext">
No encryption, only MD5 message authentication (rsa_null_md5).
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
RC4
</p></td>
<td valign="top">
<p class="tabletext">
RC4 cipher with 128-bit encryption and MD5 message authentication (rsa_rc4_128_md5).
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
RC4 (Export)
</p></td>
<td valign="top">
<p class="tabletext">
RC4 cipher with 40-bit encryption and MD5 message authentication (rsa_rc4_40_md5).
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
RC2 (Export)
</p></td>
<td valign="top">
<p class="tabletext">
RC2 cipher with 40-bit encryption and MD5 message authentication (rsa_rc2_40_md5).
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
DES
</p></td>
<td valign="top">
<p class="tabletext">
DES with 56-bit encryption and SHA message authentication (rsa_des_sha).
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
DES (FIPS)
</p></td>
<td valign="top">
<p class="tabletext">
FIPS DES with 56-bit encryption and SHA message authentication. This cipher meets the FIPS 140-1 U.S. government standard for implementations of cryptographic modules (rsa_fips_des_sha).
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
Triple-DES
</p></td>
<td valign="top">
<p class="tabletext">
Triple DES with 168-bit encryption and SHA message authentication (rsa_3des_sha).
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
Triple-DES (FIPS)
</p></td>
<td valign="top">
<p class="tabletext">
FIPS Triple DES with 168-bit encryption and SHA message authentication. This cipher meets the FIPS 140-1 U.S. government standard for implementations of cryptographic modules. (rsa_fips_3des_sha)
</p></td>
  
</tr>
</table>
</blockquote>


<p class="text">
<b>Client Authentication</b>
</p>

<blockquote>
<p class="text">
<b>Do not allow client authentication.</b> Select this option if you want client applications to connect to the server using only simple authentication.
</p>

<p class="text">
<b>Allow client authentication.</b> Select this option if you want client applications to be able to connect to the server using either simple authentication or client authentication.
</p>

<p class="text">
If you are using certificate-based authentication with replication, then you must select either "Allow client authentication" or "Require client authentication" on the consumer server.
</p>

<p class="text">
<b>Require client authentication. </b>Select this option if you want client applications to connect to the server using client authentication only. If you select this option, simple authentication is not allowed.
</p>

<p class="text">
<b>Use SSL in Management Console.</b> Select this checkbox if you want the communication between the Management Console and the directory to be secured using SSL.
</p>

<p class="text">
If you use this option with client authentication, communication between the Management Console and the server will take place over a secure channel, but without client authentication.
</p>
</blockquote>

<p class="text">
<b>Check hostname against name in certificate for outbound SSL connections. </b>Select this check box if you want an SSL-enabled Directory Server (with certificate based client authentication turned on) to verify authenticity of a request by matching the hostname against the value assigned to the Common Name (CN) attribute of the subject name in the certificate being presented. 
</p>

<p class="text">
By default, this feature is disabled. If you enable it and if the hostname does not match the CN attribute of the certificate, appropriate error and audit messages are logged. For example, in a replicated environment, messages similar to these are logged in the supplier server's log files if it finds that the peer server's hostname doesn't match the name specified in its certificate:
</p>
<p class="text">
<code>[DATE] - SSL alert: ldap_sasl_bind("",LDAP_SASL_EXTERNAL) 81 (runtime error -12276 - Unable to communicate securely with peer: requested domain name does not match the server's certificate.)</code>
</p>

<p class="text">
<code>[DATE] NSMMReplicationPlugin - agmt="cn=to ultra60 client auth" (ultra60:1924): Replication bind with SSL client authentication failed: LDAP error 81 (Can't contact LDAP server)</code>
</p>

<p class="text">
It is recommended that you turn this attribute on to protect Directory Server's outbound SSL connections against a Man In The Middle (MITN) attack.
</p>
